import {
  useFrameState
} from "./chunk-UYIFHMB5.js";
import "./chunk-KTZM67PO.js";
import "./chunk-6C3VEZWH.js";

// src/unstable-use-debugger-frame-state.ts
function computeDurationInSeconds(start, end) {
  return Number(((end.getTime() - start.getTime()) / 1e3).toFixed(2));
}
function useDebuggerFrameState(options) {
  return useFrameState({
    ...options,
    resolveGETPendingExtra() {
      return {
        startTime: /* @__PURE__ */ new Date(),
        requestDetails: {}
      };
    },
    resolvePOSTPendingExtra(arg) {
      return {
        startTime: /* @__PURE__ */ new Date(),
        requestDetails: {
          body: arg.action.body,
          searchParams: arg.action.searchParams
        }
      };
    },
    resolveDoneExtra(arg) {
      return {
        response: arg.response.clone(),
        speed: computeDurationInSeconds(
          arg.pendingItem.extra.startTime,
          arg.endTime
        ),
        responseBody: arg.responseBody,
        responseStatus: arg.response.status
      };
    },
    resolveDoneRedirectExtra(arg) {
      return {
        speed: computeDurationInSeconds(
          arg.pendingItem.extra.startTime,
          arg.endTime
        ),
        response: arg.response.clone(),
        responseStatus: arg.response.status,
        responseBody: arg.responseBody
      };
    },
    resolveDoneWithErrorMessageExtra(arg) {
      return {
        speed: computeDurationInSeconds(
          arg.pendingItem.extra.startTime,
          arg.endTime
        ),
        response: arg.response.clone(),
        responseBody: arg.responseData,
        responseStatus: arg.response.status
      };
    },
    resolveFailedExtra(arg) {
      return {
        speed: computeDurationInSeconds(
          arg.pendingItem.extra.startTime,
          arg.endTime
        ),
        response: arg.response?.clone() ?? null,
        responseBody: arg.responseBody,
        responseStatus: arg.responseStatus
      };
    },
    resolveFailedWithRequestErrorExtra(arg) {
      return {
        speed: computeDurationInSeconds(
          arg.pendingItem.extra.startTime,
          arg.endTime
        ),
        response: arg.response.clone(),
        responseBody: arg.responseBody,
        responseStatus: arg.response.status
      };
    }
  });
}
export {
  useDebuggerFrameState
};
